/***
 * Excerpted from "Core Data, 2nd Edition",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/mzcd2 for more book information.
***/
#import "PPImageView.h"

@implementation PPImageView

@synthesize imagePath;

- (void)dealloc
{
    [imagePath release], imagePath = nil;
	[super dealloc];
}

- (void)concludeDragOperation:(id)sender
{
    [self willChangeValueForKey:@"imagePath"];
	NSPasteboard *pasteboard = [sender draggingPasteboard];
	if ([[pasteboard types] containsObject:NSFilenamesPboardType]) {
		imagePath = [[pasteboard propertyListForType:NSFilenamesPboardType] lastObject];
	}
	[super concludeDragOperation:sender];
    [self didChangeValueForKey:@"imagePath"];
}

@end